Why are some uninstalled i386 packages not in synaptic?

Everything about X, Gnome, KDE, ... and everything running on it

Why are some uninstalled i386 packages not in synaptic?

Postby gurfle » 2018-05-25 18:13

On an amd64 system, with i386 multiarch enabled, synaptic lists some uninstalled i386 packages, but, wine32 only appears after using apt-get to install it.

Perhaps the wine32 package is built in a way that confuses synaptic, which, under the "Dependencies" tab, is listed as both recommending and breaking wine! I find that confusing, for sure, and the "breaking" part appears not to be really true, since the apt installation of wine32 is in fact working as expected with wine.

This question is not critical, since it looks like with the apt-get install approach I have gotten my old favorite 32-bit programs to run on amd64, but the absence of wine32 in synaptic sure had me stumped for a while, so if it really is a bug, it ought to be fixed.

Edit: Actually, the question is not quite so academic now, because I would really like to install the 32-bit version of cups (so the programs running in wine can print), and it also is not showing up in synaptic, and I can't figure out how to install it with apt without uninstalling the entire 64-bit version of cups:
Code: Select all
root@newlaptop:/home/nick# apt-get install cups cups:i386
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cups is already the newest version (2.2.1-8).
cups set to manually installed.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 cups : Conflicts: cups:i386
 cups:i386 : Depends: cups-filters:i386 (>= 1.0.24-3~) but it is not going to be installed
             Conflicts: cups
E: Unable to correct problems, you have held broken packages.
root@newlaptop:/home/nick#

I thought it was possible to have 32- and 64-bit versions of packages installed side-by-side, but this message seems to imply not for cups.

Cheers, Nick
User avatar
gurfle
 
Posts: 341
Joined: 2009-06-04 02:08
Location: Seattle, Washington, US

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 4 guests

fashionable